## com.sun.jersey.server.wadl.generators
Interface AbstractWadlGeneratorGrammarGenerator.HasType

Enclosing class:
  AbstractWadlGeneratorGrammarGenerator<T>

    protected static interface AbstractWadlGeneratorGrammarGenerator.HasType

Method Summary
`MediaType` | `getMediaType()`
`java.lang.Class` | `getPrimaryClass()`
`java.lang.reflect.Type` | `getType()`

Method Detail

### getPrimaryClass

    java.lang.Class getPrimaryClass()

### getType

    java.lang.reflect.Type getType()

### getMediaType

    MediaType getMediaType()

Copyright © 2017 Oracle Corporation. All Rights Reserved.